#include "IntroTime.h"
#include "ui/UI.h"

namespace caveexpress {

IntroTime::IntroTime(IFrontend* frontend) :
		Intro("introtime", frontend) {
	init();
}

void IntroTime::addIntroNodes(UINode* parent) {
	parent->add(new IntroLabelHeadline(_frontend, tr("Objectives")));
	parent->add(new IntroLabel(_frontend, tr("Drop during flight")));
	parent->add(new IntroLabelHeadline(_frontend, tr("Hints")));
	parent->add(new IntroLabel(_frontend, tr("Use the swing of the package")));
	if (System.hasTouch()) {
		parent->add(new IntroLabel(_frontend, tr("Drop them with the second finger")));
	} else {
		parent->add(new IntroLabel(_frontend, tr("Drop them by hitting SPACE bar")));
	}
	parent->add(new IntroLabelHeadline(_frontend, tr("Description")));
	const Color timeBarColor = { 1.0f, 1.0f, 1.0f, 0.5f };
	parent->add(new IntroBarDescription(_frontend, timeBarColor, tr("Time bar")));
}

}
